Bug 28467 - Add wording to TrackLastPatronActivity description to tell users that it records SIP authentication
Summary: Add wording to TrackLastPatronActivity description to tell users that it reco...
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Andrew Fuerste-Henry
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 28455
  Show dependency treegraph
 
Reported: 2021-05-26 18:39 UTC by Andrew Fuerste-Henry
Modified: 2021-06-18 14:49 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
This improves the wording for the TrackLastPatronActivity system preference to reflect that the 'last seen' date updates when a patron logs into the OPAC or connects using SIP.
Version(s) released in:
21.11.00,21.05.01


Attachments
Bug 28467: Update wording of TrackLastPatronActivity syspref (1.33 KB, patch)
2021-06-02 15:01 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 28467: Update wording of TrackLastPatronActivity syspref (1.37 KB, patch)
2021-06-03 10:42 UTC, David Nind
Details | Diff | Splinter Review
Bug 28467: Update wording of TrackLastPatronActivity syspref (1.38 KB, patch)
2021-06-03 11:06 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28467: Update wording of TrackLastPatronActivity syspref (1.43 KB, patch)
2021-06-03 11:08 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28467: (QA follow-up) Remove errorenous space in borrowers.lastseen (1.29 KB, patch)
2021-06-03 11:08 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2021-05-26 18:39:01 UTC
Right now, the description on TrackLastPatronActivity just says "Do/Don't track last patron activity. Every time a patron will connect, the borrowers.lastseen will be updated with the current time."

It should say something about what it specifically records.
Comment 1 Andrew Fuerste-Henry 2021-05-26 18:48:01 UTC
I recommend we replace that second sentence with:
The first time each day that a patron either logs into the OPAC or connects to Koha via SIP, borrowers.last seen will update with the current date and time.
Comment 2 Andrew Fuerste-Henry 2021-06-02 15:01:10 UTC
Created attachment 121540 [details] [review]
Bug 28467: Update wording of TrackLastPatronActivity syspref

To Test:
1 - look up TrackLastPatronActivity
2 - Read it, be dissatisfied with it
3 - apply patch, restart, reload page
4 - be happier with the new wording
Comment 3 Andrew Fuerste-Henry 2021-06-02 15:02:37 UTC
I updated it to read "The first time each day that a patron either logs into the OPAC or connects to Koha via SIP, borrowers.last seen will update with the current date and time."
Comment 4 David Nind 2021-06-03 10:42:16 UTC
Created attachment 121576 [details] [review]
Bug 28467: Update wording of TrackLastPatronActivity syspref

To Test:
1 - look up TrackLastPatronActivity
2 - Read it, be dissatisfied with it
3 - apply patch, restart, reload page
4 - be happier with the new wording

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 Katrin Fischer 2021-06-03 11:06:55 UTC
Created attachment 121581 [details] [review]
Bug 28467: Update wording of TrackLastPatronActivity syspref

To Test:
1 - look up TrackLastPatronActivity
2 - Read it, be dissatisfied with it
3 - apply patch, restart, reload page
4 - be happier with the new wording

Signed-off-by: David Nind <david@davidnind.com>
Comment 6 Katrin Fischer 2021-06-03 11:08:36 UTC
Created attachment 121582 [details] [review]
Bug 28467: Update wording of TrackLastPatronActivity syspref

To Test:
1 - look up TrackLastPatronActivity
2 - Read it, be dissatisfied with it
3 - apply patch, restart, reload page
4 - be happier with the new wording

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>


Current status: Passed QA
Comment 7 Katrin Fischer 2021-06-03 11:08:40 UTC
Created attachment 121583 [details] [review]
Bug 28467: (QA follow-up) Remove errorenous space in borrowers.lastseen

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Katrin Fischer 2021-06-03 11:09:22 UTC
Is there a reason why we only update that info once a day? But I verified... it would not update after my first login.
Comment 9 Jonathan Druart 2021-06-15 14:28:52 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 10 Kyle M Hall 2021-06-18 14:49:42 UTC
Pushed to 21.05.x for 21.05.01